<template>
  <div>
    <a-modal
      title="新增种类"
      :visible="visible"
      :confirm-loading="confirmLoading"
      @ok="handleOk"
      @cancel="handleCancel"
    >
      <a-form-model ref="classForm" :model="form" :rules="rules" :label-col="labelCol" :wrapper-col="wrapperCol">
        <a-form-model-item ref="name" label="种类名称" prop="name">
          <a-input v-model="form.name" />
        </a-form-model-item>
      </a-form-model>
    </a-modal>
  </div>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
//例如：import 《组件名称》 from '《组件路径》'
import { classAdd } from '@/api/project/class'

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    classAdd,
  },
  props: {},
  data() {
    //这里存放数据
    return {
      visible: false,
      confirmLoading: false,
      form: {
        name: '',
        type: 1,
      },
      rules: {
        name: [{equired: true,message: '请输入种类名称',trigger: 'blur', }],
      },
      labelCol: {
        xs: { span: 24, },
        sm: { span: 5, },
      },
      wrapperCol: {
        xs: { span: 24, },
        sm: { span: 18, },
      },
    }
  },
  //计算属性 类似于data概念
  computed: {},
  //监控data中的数据变化
  watch: {},
  //方法集合
  methods: {
    showModal() {
      this.visible = true
    },

    //保存数据
    handleOk(e) {
      this.$refs.classForm.validate(valid => {
        if (valid) {
          // alert('submit!');
          this.confirmLoading = true
          classAdd(this.form).then((res) => {
            if (res.code == 200) {
              this.$message.success('新增成功')
              this.confirmLoading = false
              this.handleCancel()
            } else {
              this.$message.error('新增失败：' + res.msg)
            }
          })
        } else {
          return false;
        }
      });
    },
    handleCancel(e) {
      this.$emit('refreshPageData')
      this.visible = false
    },
  },
  created() {}, //生命周期 - 创建完成（可以访问当前this实例）
  mounted() {}, //生命周期 - 挂载完成（可以访问DOM元素）
  beforeCreate() {}, //生命周期 - 创建之前
  beforeMount() {}, //生命周期 - 挂载之前
  beforeUpdate() {}, //生命周期 - 更新之前
  updated() {}, //生命周期 - 更新之后
  beforeDestroy() {}, //生命周期 - 销毁之前
  destroyed() {}, //生命周期 - 销毁完成
  activated() {}, //如果页面有keep-alive缓存功能，这个函数会触发
}
</script>
<style scoped>
</style>